import { OnDestroy } from '@angular/core';
import { DiagramTemplates } from '../qms-ckeditor-components/models/diagram-template.model';
import { TranslateLibraryService } from './translation-registry.service';
import { Subject } from 'rxjs/internal/Subject';
import * as i0 from "@angular/core";
export declare class BpmnService implements OnDestroy {
    private translate;
    isSaveAsTemplate: boolean;
    isDeleteTemplate: boolean;
    isDisableToolbar: boolean;
    isTemp: boolean;
    jsonTempContent: string;
    isReset: boolean;
    isSelectedTemplate: boolean;
    jsonOriginalContent: string;
    isFullScreen: boolean;
    isExpandedPanel: boolean;
    LANG: any;
    ngUnsubscribe: Subject<void>;
    constructor(translate: TranslateLibraryService);
    ngOnDestroy(): void;
    buildDiagram(diagramTemplates: any, diagramTemplate: any, bpmnTheme: string, jsonContent: any, editMode: any, shapeImages?: any, toolbarConfiguration?: any, language?: string): void;
    excutedBuildDiagram(diagramTemplates: any, diagramTemplate: any, bpmnTheme: string, jsonContent: any, editMode: any, LANG: any, shapeImages?: any, toolbarConfiguration?: any): void;
    loadProcessDiagram(jsonContent?: string): void;
    addItemTemplate(flowChartId?: string, diagramTemplate?: any): void;
    removeSelectItem(flowChartId?: string): void;
    getTempGraph(): void;
    getOriginForSelf(): string;
    setDefaultSelectedValue(): void;
    setItemFlowChartId(flowChartId?: string): void;
    isShowConfirmMessage(): boolean;
    setTransitionPoint(jsonContent: object, paperScroller: any): void;
    openShapeFunctionality(LANG: any): void;
    setZoomToFit(editMode: number): void;
    setPaperCenter(editMode: number): void;
    setPaperTopLeft(editMode: number): void;
    setScrollToContent(): void;
    onChangeTextInside(cell: any): void;
    onChangeLinkLabel(cell: any, defSize: number): void;
    onChangeAlligment(cell: any, opt: any): void;
    setHeaderAttribute(cell: any, textAnchor: string, height: number): void;
    isUndefinedSize(attributes: any): boolean;
    getTotalLaneHeight(attributes: any): number;
    setDiagramTemplates(diagramTemplates: DiagramTemplates[]): void;
    resetCellView(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BpmnService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BpmnService>;
}
